# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-colander
%define fedora 19
%if 0%{?fedora}
#%%global with_python3 1

# Manually turn this off.  We should be good-to-go with python3 support here
# once python3-translationstring makes it into rawhide.
# There is nothing upstream blocking us on that.. it just requires some .spec
# work.
%global with_python3 0

%endif

%global modname colander

Name:               python-module-colander
Version:            1.0a2
Release:            alt1_1
Summary:            A simple schema-based serialization and deserialization library

Group:              Development/Python
License:            BSD
URL:                http://pypi.python.org/pypi/colander
Source0:            http://pypi.python.org/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python-devel
BuildRequires:      python-module-setuptools

BuildRequires:      python-module-translationstring
BuildRequires:      python-module-nose
BuildRequires:      python-module-coverage


%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-module-distribute

BuildRequires:      python3-translationstring
BuildRequires:      python3-module-nose
BuildRequires:      python3-module-coverage

Requires:           python3-translationstring
%endif
Source44: import.info

%description
An extensible package which can be used to:

- deserialize and validate a data structure composed of strings, mappings,
  and lists.
- serialize an arbitrary data structure to a data structure composed of
  strings, mappings, and lists.

It runs on Python 2.6, 2.7 and 3.2.

Please see http://docs.pylonsproject.org/projects/colander/en/latest/ for
further documentation.

%if 0%{?with_python3}
%package -n python3-module-colander
Summary:            A simple schema-based serialization and deserialization library
Group:              Development/Python

%description -n python3-module-colander
An extensible package which can be used to:

- deserialize and validate a data structure composed of strings, mappings,
  and lists.
- serialize an arbitrary data structure to a data structure composed of
  strings, mappings, and lists.

It runs on Python 2.6, 2.7 and 3.2.

Please see http://docs.pylonsproject.org/projects/colander/en/latest/ for
further documentation.

%endif

%prep
%setup -q -n %{modname}-%{version}

# The presence of this file creates an rpmlint error.  Remove it.
rm docs/.gitignore
rm -rf docs/.static

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py test
popd
%endif

%files
%doc README.txt LICENSE.txt COPYRIGHT.txt CONTRIBUTORS.txt CHANGES.txt docs
%{python_sitelibdir_noarch}/%{modname}/
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-module-colander
%doc README.txt LICENSE.txt COPYRIGHT.txt CONTRIBUTORS.txt CHANGES.txt docs
%{python3_sitelibdir_noarch}/%{modname}/
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*
%endif

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.0a2-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_2
- initial fc import

